### Virtual Method

# Gio SocketClient event

#### Declaration

    void
    event (
      GSocketClient* client,
      GSocketClientEvent event,
      GSocketConnectable* connectable,
      GIOStream* connection
    )

#### Description

No description available.

#### Parameters

`event`

  Type: `GSocketClientEvent`

  No description available.

`connectable`

  Type: `GSocketConnectable`

  No description available.

  The data is owned by the caller of the method.

`connection`

  Type: `GIOStream`

  No description available.

  The data is owned by the caller of the method.